<?php	// Preamble
	$pageName = "Downloads";
	$currPage = "files";				// Name of the page, for the menu
	require "parts/preamble.php";		// Load most of document

	function fileDownloadLink ($baseUrl, $extensions, $gpg=0)
	{
		$extension = explode (' ', $extensions);
		$count = count ($extension);

		for ($i = 0 ; $i < $count ; $i++) {
			if ($i == 0) {
				echo '<STRONG>[ ';
			}
			echo '<A href="' . $baseUrl . '.' . $extension[$i] . '">' . $extension[$i] . '</A> ';
			if (($i+1) < $count) {
				echo '| ';
			} else {
				echo ']</STRONG>';
			}
		}
		if ($gpg) {
			if ($gpg > 1) {
				echo '<br>PGP Signatures (to verify archive authenticity) ';
			} else {
				echo ' PGP ';
			}
			for ($i = 0 ; $i < $count ; $i++) {
				if ($i == 0) {
					echo '<STRONG>[ ';
				}
				echo '<A href="' . $baseUrl . '.' . $extension[$i] . '.asc">' . $extension[$i] . '</A> ';
				if (($i+1) < $count) {
					echo '| ';
				} else {
					echo ']</STRONG>';
				}
			}
		}
	}

	function fileUpdated ($file)
	{
		$ftime = filemtime ($file);
		echo " Updated " . gmdate ("d M Y g:ia", $ftime) . " UTC";
	}

	need ("boxes")
?>
<P>
	QuakeForge and <A href="#quake2">Quake2Forge</A> are always in constant 
	development.  Our development versions have the latest features, but they 
	change rapidly as bugs are fixed and features are added.  Stable versions 
	do not change significantly once released, though we sometimes make 
	revisions of the stable branch to fix known bugs. <STRONG>Note: the game 
	data is still non-free; you need either the shareware data (see below) or 
	the registered data.</STRONG>
</P>

<H2>Current Releases</H2>
<?php newsBoxOpen('QuakeForge (Main Tree)') ?>
<P>
	This is our new development tree (we're back to &quot;quakeforge&quot;), 
	where we're again in the process of merging Quake and QuakeWorld&hellip;but 
	this time, it's much better.
</P>
<P>
	While almost always in working order, it's under heavy development so 
	be prepared to encounter some issues <STRONG>(Wear your hard hat!)</STRONG>. 
	Please check the <a href="/doxygen/">docs</a>.
</P>
<P>
	<STRONG>UNIX users:</STRONG> because of the diversity of machines on
	which QuakeForge runs, we do not provide UNIX binaries. You need to
	compile QuakeForge yourself. However, it's  very easy to 
	compile&nbsp;&mdash;&nbsp;please check 
	<a href="doxygen/build-install.html">the build instructions</a> for details.
</P>
<!--<P>
	<STRONG>Note:</STRONG> The main reason we have Win32 downloads is that it's 
	hard to compile the Win32 version, and unless we built Win32 versions 
	ourselves, very few people on Windows would be able to play. 
	<STRONG>:)</STRONG>
</P>-->

<H3>Version 0.7.2 (released 23 Jan 2013)</H3>
<UL>
	<LI>Source code
		<?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.7.2", "tar.bz2 tar.gz zip")?>
		</LI>
	<LI>Blender mdl import/export addon
		<?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/io_mesh_qfmdl-0.7.2", "tar.bz2 tar.gz zip")?>
		</LI>
	<LI>Windows binaries (64-bit: wear <a href=http://knowyourmeme.com/memes/the-goggles-do-nothing>goggles</a> too!):</LI>
	<UL>
		<LI>Clients (use nq-sdl for single player)
			32-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.7.2-win32", "zip")?>
			64-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.7.2-win64", "zip")?>
			<br>
			This is the only zip you need if you want single player Quake.</LI>
		<LI>Dedicated servers
			32-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.7.2-win32", "zip")?>
			64-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.7.2-win64", "zip")?>
			<br>
			Both Quake (nq-server) and QuakeWorld (qw-server)</LI>
		<LI>Tools (for modders)
			32-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.7.2-win32", "zip")?>
			64-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.7.2-win64", "zip")?>
			<br>
			Map and pak manipulation.</LI>
		<LI>Libraries and header files (for developers)
			32-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.7.2-win32", "zip")?>
			64-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.7.2-win64", "zip")?>
			<br>
			Might be useful for creating new tools, otherwise...</LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries
			32-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.7.2-win32", "zip")?>
			64-bit: <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.7.2-win64", "zip")?>
			</LI>
	</UL>
</UL>

<H3>Version 0.7.1a (released 19 Jan 2013)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.7.1a", "tar.bz2 tar.gz zip")?></LI>
	<LI>Blender mdl import/export addon <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/io_mesh_qfmdl-0.7.1a", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>Clients (use nq-sdl for single player)<?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.7.1a-win32", "zip")?><br>
			This is the only zip you need if you want single player Quake.</LI>
		<LI>Dedicated servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.7.1a-win32", "zip")?><br>
			Both Quake (nq-server) and QuakeWorld (qw-server)</LI>
		<LI>Tools (for modders)<?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.7.1a-win32", "zip")?><br>
			Map and pak manipulation.</LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.7.1a-win32", "zip")?><br>
			Might be useful for creating new tools, otherwise...</LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.7.1a-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.7.1 (released 18 Jan 2013)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.7.1", "tar.bz2 tar.gz zip")?></LI>
	<LI>Blender mdl import/export addon <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/io_mesh_qfmdl-0.7.1", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>SDL client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.7.1-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.7.1-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.7.1-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.7.1-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.7.1-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.7.0 (released 4 Aug 2012)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.7.0", "tar.bz2 tar.gz zip")?></LI>
	<LI>Blender mdl import/export addon (bugfix) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/io_mesh_qfmdl-0.7.0a", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>SDL client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.7.0-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.7.0-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.7.0-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.7.0-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.7.0-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.6.99 Beta 2 (released 17 Jul 2012)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.6.99beta2", "tar.bz2 tar.gz zip")?></LI>
	<LI>Blender addon <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/io_mesh_qfmdl-0.6.99beta2-win32", "zip")?>(despite the name, all platforms)</LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>SDL client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.99beta2-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.6.99beta2-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.6.99beta2-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.6.99beta2-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.6.99beta2-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.6.99 Beta 1 (released 11 Jul 2012)</H3>
<UL>
	<LI>Source code <?php  fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.6.99beta1", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>SDL client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.99beta1-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.6.99beta1-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.6.99beta1-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.6.99beta1-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.6.99beta1-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.6.2 (released 8 Feb 2012)</H3>
<UL>
	<LI>Source code <?php  fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.6.2", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.6.2-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.6.2-win32", "zip")?></LI>
		<LI>SGL (OpenGL GLSL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sglsl-0.6.2-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.2-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.2-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.6.2-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.6.2-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.6.2-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.6.2-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.6.1 (released 7 Jan 2012)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.6.1", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.6.1-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.6.1-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.1-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.1-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.6.1-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.6.1-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.6.1-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.6.1-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.6.0 (released 21 Dec 2011)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.6.0", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.6.0-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.6.0-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.0-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.6.0-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.6.0-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.6.0-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.6.0-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.6.0-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.5.99 Beta 4.1 (released 19 Dec 2011)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.5.99beta4.1", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.5.99beta4.1-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.5.99beta4.1-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.5.99 Beta 3 (released 17 Dec 2011)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.5.99beta3", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.5.99beta3-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.5.99beta3-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta3-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta3-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.5.99beta3-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.5.99beta3-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.5.99beta3-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.5.99beta3-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.5.99 Beta 2 (released 11 Dec 2011)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.5.99beta2", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.5.99beta2-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.5.99beta2-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta2-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta2-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.5.99beta2-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.5.99beta2-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.5.99beta2-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.5.99beta2-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.5.99 Beta 1 (released 9 Dec 2011)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.5.99beta1", "tar.bz2 tar.gz zip")?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.5.99beta1-win32", "zip")?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.5.99beta1-win32", "zip")?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta1-win32", "zip")?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.99beta1-win32", "zip")?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.5.99beta1-win32", "zip")?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.5.99beta1-win32", "zip")?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.5.99beta1-win32", "zip")?></LI>
		<LI>QFCC QuakeC/Ruamoko compiler and libraries <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/qfcc-0.5.99beta1-win32", "zip")?></LI>
	</UL>
</UL>

<H3>Version 0.5.5 (released 2 May 2004)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-0.5.5", "tar.bz2 tar.gz zip", 2)?></LI>
	<LI>Windows (32-bit) binaries:</LI>
	<UL>
		<LI>WGL (Native OpenGL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-wgl-0.5.5-win32", "zip", 1)?></LI>
		<LI>SGL (OpenGL w/ SDL) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sgl-0.5.5-win32", "zip", 1)?></LI>
		<LI>SDL (Software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.5-win32", "zip", 1)?></LI>
		<LI>SDL32 (32-bit software rendering) client <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-client-sdl-0.5.5-win32", "zip", 1)?></LI>
		<LI>Servers <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-server-0.5.5-win32", "zip", 1)?></LI>
		<LI>Tools <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-tools-0.5.5-win32", "zip", 1)?></LI>
		<LI>Libraries and header files (for developers) <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quakeforge-devel-0.5.5-win32", "zip", 1)?></LI>
	</UL>
	<!--
	<LI><A href="http://www.debian.org/">Debian GNU/Linux</A> packages for the
	i386 architecture are available by using APT. Use the following
	<TT>/etc/apt/sources.list</TT> recipe:
		<PRE>deb http://www.quakeforge.net/packages/debian unstable contrib non-free</PRE>
	</LI>
	<LI>RPM packages are available <A href="/packages/RPM/">here</A>.</LI>
	-->
</UL>
<!--<H3>Development snapshots (updated daily)</H3>
<UL>
	<LI>Source code
		<?php fileDownloadLink("files/quakeforge-current", "tar.gz tar.bz2 zip"); ?>
		<BR>
		<STRONG>Note:</STRONG> this is an anonymous CVS-ready tree. To update, all you need to do is the following:
		<BLOCKQUOTE>
		<CODE>cvs login&nbsp;&nbsp;&nbsp;&nbsp;</CODE>(only need this once, press enter for the password)<br>
		<CODE>cvs up&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</CODE>(creating <a href="cvsrc.txt">~/.cvsrc</a> is <STRONG>highly</STRONG> recommended)
		</BLOCKQUOTE>
	</LI>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC) in Linux)
	<?php 
		fileUpdated ("files/qf-win32-server.zip");
		echo "		<UL>";
		echo "			<LI>SDL (software) client ";
		fileDownloadLink("files/qf-win32-client-sdl", "zip");
		echo "			</LI>";
		echo "			<LI>SDL-32 (32bpp software) client ";
		fileDownloadLink("files/qf-win32-client-sdl32", "zip");
		echo "			</LI>";
		echo "			<LI>SGL (SDL OpenGL) client ";
		fileDownloadLink("files/qf-win32-client-sgl", "zip");
		echo "			</LI>";
		echo "			<LI>WGL (OpenGL) client ";
		fileDownloadLink("files/qf-win32-client-wgl", "zip");
		echo "			</LI>";
		echo "			<LI>developement stuff (libs, headers etc) ";
		fileDownloadLink("files/qf-win32-devel", "zip");
		echo "			</LI>";
		echo "			<LI>servers ";
		fileDownloadLink("files/qf-win32-server", "zip");
		echo "			</LI>";
		echo "			<LI>tools (qfcc, qfbsp &hellip;) ";
		fileDownloadLink("files/qf-win32-tools", "zip");
		echo "			</LI>";
		echo "		</UL>";
	?>
	</LI>
	<LI>Source code and prebuilt .dat files for various mods.
		<?php fileDownloadLink("files/game-source", "tar.gz tar.bz2 zip");?>
		<?php fileUpdated ("files/game-source.zip");?><BR>
		Includes qwprogs.dat needed for standard quakeworld) using QuakeForge
		features.  Prebuilt files require current cvs/snapshot server. For
		0.5.4, edit the Makefile to remove --advanced and rebuild. The modified
		frikbot code <strong>requires</strong> current server code.
	</LI>
</UL>
-->
<?php newsBoxClose() ?>
<BR>

<A name="quake2"></A>
<?php newsBoxOpen("Quake2Forge")?>
<P>
	<STRONG>Are you ready to rail?</STRONG> Good, 'cause we are too.
</P>
<P>
	Quake2Forge is the Quake II engine, with a blast of yummy QuakeForge 
	flavor. Undergoing slow but steady development, it aims to be a 
	portable, stable code base maintaining backward-compatibility with Id 
	Software's version.
</P>
<H3>Version 0.2.1 (released 06/02/03)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quake2-0.2.1", "tar.gz tar.bz2")?></LI>
</UL>
<H3>Version 0.2 (released 01/02/03)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quake2-0.2", "tar.gz tar.bz2")?></LI>
</UL>
<H3>Version 0.1 (released 17 Sep 2002)</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("http://prdownloads.sourceforge.net/quake/quake2-0.1", "tar.gz tar.bz2")?></LI>
</UL>

<P>The latest code can be retreived from our server, with the following command:
<BLOCKQUOTE>
	<CODE>
		git clone git://git.code.sf.net/p/quake/quakeforge
	</CODE>
</BLOCKQUOTE>
<?php newsBoxClose (); ?>

<H2>Extra Files</H2>
<UL>
	<LI>QuakeForge pack (currently only has conback.lmp)
		<?php fileDownloadLink ("files/pakQF", "pak"); ?>
	</LI>
	<LI>Skybox pack (internally-compressed)
		<?php fileDownloadLink ("files/skyboxes", "pak"); ?>
	</LI>
	<LI>Quake Shareware
		<?php fileDownloadLink ("files/quake-shareware-1.06", "tar.gz tar.bz2 zip"); ?>
	</LI>
	<LI>Original Quake source release
		<?php fileDownloadLink ("files/q1source", "zip"); ?>
	</LI>
</UL>

<H2>Obsolete Releases</H2>

<?php newsBoxOpen("QuakeForge: &lsquo;Newtree&rsquo;")?>
<P>
	Newtree is our sta^H^H^H<EM>dead</EM> tree.  If we were to work on it 
	again, it would provide the 0.3 and 0.4 series of QuakeForge releases. 
	All activity has long since moved to the development tree, though.
</P>
<H3>Version 0.3.0 (released 11 Feb 2001)</H3>
<UL>
	<LI>Source code
	<?php fileDownloadLink ("http://prdownloads.sourceforge.net/quake/quakeforge-0.3.0", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<?php fileDownloadLink ("http://prdownloads.sourceforge.net/quake/quakeforge-0.3.0-win32", "zip"); ?>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC)) (experimental)
	<?php fileDownloadLink ("http://prdownloads.sourceforge.net/quake/quakeforge-0.3.0-mingw-i386", "zip"); ?>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC), i686 optimised) (experimental)
	<?php fileDownloadLink ("http://prdownloads.sourceforge.net/quake/quakeforge-0.3.0-mingw-i686", "zip"); ?>
</UL>
<?php newsBoxClose (); ?>
<BR>
<?php newsBoxOpen("QuakeForge: &lsquo;NUQ&rsquo;")?>
<P>
	QuakeForge: NUQ (pronounced &quot;Nuke&quot;) was, basically, the Classic 
	Quake version of Newtree. NUQ was based on the WinQuake engine, but with 
	lots of enhancements from the original merged tree and Newtree. Being the 
	inverse Newtree, there is no support for QuakeWorld multiplayer protocols.
</P>
<P>
	The NUQ tree is also dead.  Our &lsquo;quakeforge&rsquo; tree has the 
	NetQuake and QuakeWorld code together with the bulk of the code merged, 
	so it's now redundant. And since nobody works on it anyway, that's a good 
	thing.
</P>
<P>
	Even though it's dead, NUQ is here anyway. If you want single player, grab 
	quakeforge-current instead, it's <STRONG>much</STRONG> better.
</P>
<H3>Final Snapshot</H3>
<UL>
	<LI>Source code <?php fileDownloadLink("files/nuq-current", "tar.gz tar.bz2 zip")?>
</UL>
<?php newsBoxClose (); ?>
<BR>
<?php newsBoxOpen("QuakeForge Original Tree")?>
<P>
	Since current work is based on the <STRONG>new</STRONG> merged tree, the 
	old	merged tree snapshots are no longer being made. You can still get it 
	directly out of Git, however.
</P>
<H3>QuakeForge, Version <EM>Really Freakin' Old</EM> (released 27 Feb 2000)</H3>
<P>
	QuakeForge 0.1 is our initial offering to the public. It's not really for 
	end-users, but served as a proof of concept that the Quake and QuakeWorld 
	trees are more closely related than initial look would indicate.
</P>
<UL>
	<LI>Source code
	<?php fileDownloadLink ("http://prdownloads.sourceforge.net/quake/quakeforge-0.1.1", "tar.gz tar.bz2 zip"); ?>
</UL>
<?php newsBoxClose (); ?>
